<template>
  <section class="black_strip_top">
    <div class="container">
      <div class="row">
        <div class="col-9 col-sm-5">
          <div class="editable_text">{{ headline_strip }}</div>
        </div>
        <div class="col-3 col-sm-7">
          <div class="top_links">
            <div class="mobile_only_view"><a href="tel:93797344"><i class="fas fa-phone-alt"></i></a></div>
            <ul>
              <li :class="($route.params.cms=='about-us') ? 'active_item' : ''" id="about-us" class="top_phone_icon">
                <a href="/about-us">About Us</a>
              </li>
              <li :class="($route.params.cms=='rent-own') ? 'active_item' : ''" id="rent-to-own" class="top_phone_icon">
                <a href="/rent-own">Rent to Own</a>
              </li>
              <li :class="(this.$route.path=='/faqs') ? 'active_item' : ''" id="faqs" class="top_phone_icon">
                <a href="/faqs">FAQs</a>
              </li>
              <li :class="(this.$route.path=='/contact-us') ? 'active_item' : ''" id="contact-us" class="top_phone_icon">
                <a href="/contact-us">Contact</a>
              </li>
            </ul>
            <postcode ref="postcode" v-show="postcode_view"></postcode>
            <location-confirmation
              ref="postcode_change"
              :msg="alert_msg"
              @confirm="openPostcode()"
            ></location-confirmation>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>
<script>
import LocationConfirmation from './LocationConfirmation.vue';
import postcode from "./postcode.vue";
import {cloneDeep} from 'lodash';
export default {
  components: { postcode : ()=>import('./postcode.vue'),LocationConfirmation : ()=>import('./LocationConfirmation.vue') },
  data() {
    return {
      postcode_view : false,
      postcode: this.$store.state.front_end_data.postcode,
      alert_msg:
        "Our products and pricing are dependent on location, if you change your postcode you may see different products or pricing",
      contact_phone: this.$store.state.front_end_data.contact_phone,
      headline_strip : this.$store.state.front_end_data.headline_strip
    };
  },
  mounted() {
  },
  methods: {
    getContactPhone() {
      if (this.contact_phone != "" && this.contact_phone!=null) {
        let two_digit = this.contact_phone.substring(0, 2);
        let four_digit = this.contact_phone.substring(2, 6);
        let contact_phone = cloneDeep(this.contact_phone).replace(
          four_digit,
          four_digit + " "
        );
        return contact_phone.replace(two_digit, "(" + two_digit + ") ");
      }
      return "";
    },
    openAlert() {
      this.$refs.postcode_change.view = true;
    },
    openPostcode() {
      this.$refs.postcode_change.view = false;
      this.postcode_view = true;
      this.$refs.postcode.openModel();
    },
  },
};
</script>
